Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2834 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Using 3d with this layer as mdt, resulting elevation is 0m. screenshot attached.

original tif raster file can be downloaded here:

[[http://190.111.246.33/almacen/carga/2017-06-14_chocon_1mts_MDT.tif]]
(58 mb)

History
#1 - 09/05/2017 03:40 PM - Antonio Falciano
- Target version set to 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202)
- Status changed from New to Invalid

Hi Mario,
2017-06-14_chocon_1mts_MDT.tif has not a declared NoData value. You can verify it in the Raster properties. So you should set the NoData value
(-32767 in this case) in the last textbox of the 3D tab of Raster properties in order to work correctly. Because this issue is not a gvSIG one, but related
to data, I set this ticket as Invalid.

#2 - 09/05/2017 04:44 PM - Mario Fevre
- File pantalla2.png added

Hi Antonio,
Thanks for the explanation. In advance in sorry this the missworking becomes from my lack of experience instead of a software error. 
But, as you can see, in my original post, in raster layer properties 3D, was already set -32767 al null value.
Now I run a new test with the raster file corrected, nodata value set in -32767.
The result still the same, at.

http://190.111.246.33/almacen/carga/raster.zip

as you can see in attached screenshot.
#3 - 09/05/2017 06:27 PM - Antonio Falciano
These are the steps I follow in order to have the DTM elevation in a 3D view:
    -  create a View, if it not exists yet;
    -  open the View properties | 3D tab, uncheck the "Show default elevation" option, click on Apply and then Accept;
    -  add the DTM layer and open its Raster properties | 3D tab, edit the NoData value, click on Apply and then Accept;
    -  open a Spherical (or Flat) 3D View, activate the (2D) View and then click on "Synchronize 3D viewport" button;
    -  in the 3D View, increase the vertical exaggeration clicking on the upper right control.

Result: you should see only the elevation coming from your DTM layer.

#4 - 09/05/2017 06:40 PM - Mario Fevre

I included, this missing step (uncheck "Show default elevation")
But no satisfying result. Elevation remains 0m. in every all along.

Any test I could run?

#5 - 09/06/2017 10:58 AM - Antonio Falciano
- File mdt3d.png added

Antonio Falciano wrote:

2017-06-14_chocon_1mts_MDT.tif has not a declared NoData value. You can verify it in the Raster properties. [...]

I'm sorry, but the above affermation is not right... In fact, executing gdalinfo:

>gdalinfo 2017-06-14_chocon_1mts_MDT.tif
Driver: GTiff/GeoTIFF
Files: 2017-06-14_chocon_1mts_MDT.tif
Size is 8874, 3694
Coordinate System is:
PROJCS["POSGAR 94 / Argentina 2",
    GEOGCS["WGS 84",
        DATUM["WGS_1984",
            SPHEROID["WGS 84",6378137,298.2572235604902,
                AUTHORITY["EPSG","7030"]],
            AUTHORITY["EPSG","6326"]],
        PRIMEM["Greenwich",0],
        UNIT["degree",0.0174532925199433],
        AUTHORITY["EPSG","4326"]],
    PROJECTION["Transverse_Mercator"],
    PARAMETER["latitude_of_origin",-90],
    PARAMETER["central_meridian",-69],
    PARAMETER["scale_factor",1],
    PARAMETER["false_easting",2500000],
    PARAMETER["false_northing",0],
    UNIT["metre",1,
        AUTHORITY["EPSG","9001"]],
    AUTHORITY["EPSG","22182"]]

05/18/2024 2/3

http://190.111.246.33/almacen/carga/2017-06-14_chocon_1mts_MDT.tif


Origin = (2512571.020050520100000,5656136.577992312600000)
Pixel Size = (0.923529999999979,-0.923529999999941)
Metadata:
  AREA_OR_POINT=Point
Image Structure Metadata:
  COMPRESSION=LZW
  INTERLEAVE=BAND
Corner Coordinates:
Upper Left  ( 2512571.020, 5656136.578) ( 68d51'15.76"W, 39d14'45.75"S)
Lower Left  ( 2512571.020, 5652725.058) ( 68d51'15.53"W, 39d16'36.37"S)
Upper Right ( 2520766.425, 5656136.578) ( 68d45'33.99"W, 39d14'45.18"S)
Lower Right ( 2520766.425, 5652725.058) ( 68d45'33.61"W, 39d16'35.81"S)
Center      ( 2516668.723, 5654430.818) ( 68d48'24.72"W, 39d15'40.81"S)
Band 1 Block=8874x1 Type=Float32, ColorInterp=Gray
  NoData Value=-32767

we can note that the NoData value is correctly set (see the last line), so gvSIG is not able to read it (gvSIG bug). So setting the NoData value manually
is a workaround in this case. I attach a screenshot showing that the 3D rendering of your elevation data works (on Windows 7 64 bits at least). I've
opened another ticket about the NoData recognition (#4652).
mdt3d.png
